//+------------------------------------------------------------------+
//|                                                            1.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//|                                     tom jones..twj1usa@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

//+--------------------------+
//| input parameters         |
//+--------------------------+


extern int     time_shift              = 0;      //gmt time shift input
extern string  corner_location_information  = "0=top-left; 1=top-right; 2=bottom-left; 3=bottom-right";
extern int     corner_location         = 0;
extern int     shift_up_dn             = 0; 
extern int     shift_side              = 0;
extern int     font_size               = 10;
extern color   color_up                = Green;
extern color   color_down              = Red;
extern int     Arial;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()

{
  
//---- indicators

      ObjectCreate("Daily",OBJ_LABEL,0,0,0);
		ObjectSet("Daily", OBJPROP_CORNER,0);
		ObjectSet("Daily",OBJPROP_XDISTANCE,50+shift_up_dn);
		ObjectSet("Daily",OBJPROP_YDISTANCE,50+shift_side);
		
		
		ObjectCreate("Weekly",OBJ_LABEL,0,0,0);
		ObjectSet("Weekly", OBJPROP_CORNER,0);
		ObjectSet("Weekly",OBJPROP_XDISTANCE,65+shift_up_dn);
		ObjectSet("Weekly",OBJPROP_YDISTANCE,50+shift_side);
	
		
		ObjectCreate("Monthly",OBJ_LABEL,0,0,0);
		ObjectSet("Monthly", OBJPROP_CORNER,0);
		ObjectSet("Monthly",OBJPROP_XDISTANCE,80+shift_up_dn);
		ObjectSet("Monthly",OBJPROP_YDISTANCE,50+shift_side);
	
	
		
     
     
     
     
     
		
  }

   return(0);
   
  
  
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+

int deinit()
 
{
  
   ObjectDelete("Daily");
   ObjectDelete("Weekly");
   ObjectDelete("Monthly");

  return (0);

   ObjectsDeleteAll ();
   
	Comment("");
	
  	return(0);
  
  }
  
 
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
  {
   int    counted_bars = IndicatorCounted();
   int    time_shift  = (TimeCurrent()+0);
   int    month_open  = iOpen(NULL,PERIOD_M1,0)+0;
   int    month_close = iClose(NULL,PERIOD_M1,0)+0;
   int    week_open   = iOpen(NULL,PERIOD_W1,0)+0;
   int    week_close  = iClose(NULL,PERIOD_W1,0)+0;
   int    day_open    = iOpen(NULL,PERIOD_D1,0)+0;
   int    day_close   = iClose(NULL,PERIOD_D1,0)+0;   
    
   
   
   
      
   if ((day_close - day_open) < 0)
   
  {  ObjectSetText ("Daily   : = " +  " OPEN " +  DoubleToStr(day_open, Digits) + " CLOSE " + DoubleToStr(day_close, Digits) + " PIPS " + DoubleToStr(MathPow(10, Digits)*MathAbs(day_close-day_open), 0) + " PERCENT " + DoubleToStr(100*(MathAbs(day_close-day_open)/day_open),2) + "%",font_size,Arial,color_down);
    }   
    else
   { 
    ObjectSetText ("Daily   : = " +  " OPEN " +  DoubleToStr(day_open, Digits) + " CLOSE " + DoubleToStr(day_close, Digits) + " PIPS " + DoubleToStr(MathPow(10, Digits)*MathAbs(day_close-day_open), 0) + " PERCENT " + DoubleToStr(100*(MathAbs(day_close-day_open)/day_open),2) + "%",font_size,Arial,color_up);
 }
     
    
   if ((week_close - week_open) < 0 )
   
   { ObjectSetText ("Weekly  : = " +  " OPEN " + DoubleToStr(week_open, Digits) + " CLOSE " + DoubleToStr(week_close, Digits) + " PIPS " + DoubleToStr(MathPow(10, Digits)*MathAbs(week_close-week_open), 0) + " PERCENT " + DoubleToStr(100*(MathAbs(week_close-week_open)/week_open),2) + "%",font_size,Arial,color_down);
      }
    else
    {
    ObjectSetText ("Weekly  : = " +  " OPEN " + DoubleToStr(week_open, Digits) + " CLOSE " + DoubleToStr(week_close, Digits) + " PIPS " + DoubleToStr(MathPow(10, Digits)*MathAbs(week_close-week_open), 0) + " PERCENT " + DoubleToStr(100*(MathAbs(week_close-week_open)/week_open),2) + "%",font_size,Arial,color_up);
   }
     
   if ((month_close - month_open) < 0 )
   {
    ObjectSetText ("Monthly : = " +  " OPEN " + DoubleToStr(month_open, Digits) + " CLOSE " + DoubleToStr(month_close, Digits) + " PIPS " + DoubleToStr(MathPow(10, Digits)*MathAbs(month_close-month_open), 0) + " PERCENT " + DoubleToStr(100*(MathAbs(month_close-month_open)/month_open),2) + "%",font_size,Arial,color_down);
      }
    else
  {  
    ObjectSetText ("Monthly : = " +  " OPEN " + DoubleToStr(month_open, Digits) + " CLOSE " + DoubleToStr(month_close, Digits) + " PIPS " + DoubleToStr(MathPow(10, Digits)*MathAbs(month_close-month_open), 0) + " PERCENT " + DoubleToStr(100*(MathAbs(month_close-month_open)/month_open),2) + "%",font_size,Arial,color_up);
   }
       
    
//----

     
 }    
      
   return(0);
   
 
//+------------------------------------------------------------------+